package com.liquidnet.service.goblin.dto.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@ApiModel(value = "GoblinGoodsInfoListVo", description = "商品SPU List")
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GoblinGoodsInfoListVoo implements Serializable, Cloneable {
   private List<GoblinGoodsInfoListVo> list;
    @ApiModelProperty(position = 55, value = "数量")
    private long count;
    private static final GoblinGoodsInfoListVoo obj = new GoblinGoodsInfoListVoo();

    public static GoblinGoodsInfoListVoo getNew() {
        try {
            return (GoblinGoodsInfoListVoo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new GoblinGoodsInfoListVoo();
        }
    }
/*    public int compareTo(GoblinGoodsInfoVo arg0) {
        return this.getCount().compareTo(arg0.getCount());
    }*/

}
